package com.yijia.station.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yijia.station.mapper.StationInfoMapper;
import com.yijia.station.domain.StationInfo;
import com.yijia.station.service.IStationInfoService;

/**
 * 油站信息Service业务层处理
 * 
 * @author yijia
 * @date 2020-12-08
 */
@Service
public class StationInfoServiceImpl implements IStationInfoService 
{
    @Autowired
    private StationInfoMapper stationInfoMapper;

    /**
     * 查询油站信息
     * 
     * @param stationId 油站信息ID
     * @return 油站信息
     */
    @Override
    public StationInfo selectStationInfoById(Long stationId)
    {
        return stationInfoMapper.selectStationInfoById(stationId);
    }

    /**
     * 查询油站信息列表
     * 
     * @param stationInfo 油站信息
     * @return 油站信息
     */
    @Override
    public List<StationInfo> selectStationInfoList(StationInfo stationInfo)
    {
        return stationInfoMapper.selectStationInfoList(stationInfo);
    }

    /**
     * 新增油站信息
     * 
     * @param stationInfo 油站信息
     * @return 结果
     */
    @Override
    public int insertStationInfo(StationInfo stationInfo)
    {
        return stationInfoMapper.insertStationInfo(stationInfo);
    }

    /**
     * 修改油站信息
     * 
     * @param stationInfo 油站信息
     * @return 结果
     */
    @Override
    public int updateStationInfo(StationInfo stationInfo)
    {
        return stationInfoMapper.updateStationInfo(stationInfo);
    }

    /**
     * 批量删除油站信息
     * 
     * @param stationIds 需要删除的油站信息ID
     * @return 结果
     */
    @Override
    public int deleteStationInfoByIds(Long[] stationIds)
    {
        return stationInfoMapper.deleteStationInfoByIds(stationIds);
    }

    /**
     * 删除油站信息信息
     * 
     * @param stationId 油站信息ID
     * @return 结果
     */
    @Override
    public int deleteStationInfoById(Long stationId)
    {
        return stationInfoMapper.deleteStationInfoById(stationId);
    }
}
